---
# tasks file for libvirt_preseed
- name: Load distribution specific values
  include_vars: "{{ item }}"
  with_first_found:
    - "{{ role_path }}/vars/{{ ansible_facts.distribution }}_{{ ansible_facts.distribution_release }}.yml"
    - "{{ role_path }}/vars/{{ ansible_facts.distribution }}.yml"

- name: Prepare the system
  include: prepare.yml

- name: Collect all information
  include: collect_info.yml

- name: Configure network
  include: network.yml

- name: Configure firewall
  include: firewall.yml

- name: Setup the VM
  include: vm.yml

- name: Finishing
  include: finish.yml

